---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all form_section_records in project

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "form_section_record": {
        "type": "object",
        "description": "Entity that denotes a record inside a section",
        "required": [
          "id",
          "creator_user_id",
          "last_editor_user_id",
          "form_section_id",
          "form_template_section_record_id",
          "project_id",
          "max_values",
          "min_values",
          "ordinal",
          "created_at",
          "device_created_at",
          "device_updated_at",
          "resolved_conflict",
          "updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          },
          "form_section_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID fo the section this belongs to"
          },
          "form_template_section_record_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the template this record was created from"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "name": {
            "type": "string",
            "nullable": true,
            "description": "Name of the entity"
          },
          "max_values": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Max number of values this record can have"
          },
          "min_values": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Min number of values this record should have"
          },
          "ordinal": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Specifies the ordering among siblings"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/form_section_records": {
      "get": {
        "summary": "Get all form_section_records in project",
        "operationId": "get_form_section_records_in_project",
        "tags": [
          "form section records"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          },
          {
            "$ref": "#/components/parameters/project_id"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "75d01283-b1e6-40be-8990-eb71f89f0b81",
                    "creator_user_id": 967,
                    "last_editor_user_id": 967,
                    "project_id": "ca5b3f8c-3c92-4c38-92e0-371760e4cd88",
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:49:48.920Z",
                    "updated_at": "2026-10-02T14:49:48.920Z",
                    "device_created_at": "2026-10-02T14:49:48.920Z",
                    "device_updated_at": "2026-10-02T14:49:48.920Z",
                    "deleted_at": null,
                    "name": "form_section_record 23",
                    "ordinal": 1,
                    "min_values": 0,
                    "max_values": 1,
                    "form_section_id": "6aa64c1e-a080-40e9-a6c8-9c6e947aa0fc",
                    "form_template_section_record_id": "18f8f2fb-7a3a-4056-8422-53b0c127dfb8"
                  },
                  {
                    "id": "06479087-39a8-426f-a579-8b826e7b3976",
                    "creator_user_id": 967,
                    "last_editor_user_id": 967,
                    "project_id": "ca5b3f8c-3c92-4c38-92e0-371760e4cd88",
                    "resolved_conflict": false,
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-02T14:49:48.952Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "name": "form_section_record 24",
                    "ordinal": 1,
                    "min_values": 0,
                    "max_values": 1,
                    "form_section_id": "25128f2e-bc29-4bec-8fb7-ca0109241aeb",
                    "form_template_section_record_id": "5dc6fc65-8d3d-47b4-b177-5374b1e1b780"
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/form_section_record"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```